%define name    perl-Term-ReadLine-Perl
%define module  Term-ReadLine-Perl
%define version 1.0203
%define release 1mdk

Summary:	Perl interface to readline libraries.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source:		%{module}-%{version}.tar.bz2
URL:		http://www.cpan.org/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	perl >= 5.6.1
BuildRequires:	perl-devel >= 5.6.1
BuildArch:	noarch

%description
This is a quick implementation of the minimal interface to Readline
libraries. The implementation is made in Perl (mostly) by Jeffrey
Friedl. The only thing this library does is to make it conformant (and
add some minimal changes, like using Term::ReadKey if present, and
correct work under xterm). 

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="${RPM_OPT_FLAGS}" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
rm -rf ${RPM_BUILD_ROOT}
make PREFIX=${RPM_BUILD_ROOT}%{_prefix} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(644,root,root,755)
%doc CHANGES README

%{perl_vendorlib}/Term/ReadLine/*.pm

%changelog
* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0203-1mdk
- from Maxim Heijndijk <cchq@wanadoo.nl> :
	- Initial wrap.
